---
#-----------------------------------------------------------------------------#
# ansible-yunohost allows to deploy Yunohost using Ansible                    #
# Copyright 2021-2021 Lydra https://www.lydra.fr/                             #
#                                                                             #
# this program is free software: you can redistribute it and/or modify        #
# it under the terms of the GNU General Public License as published by        #
# the Free Software Foundation, either version 3 of the License, or           #
# (at your option) any later version.                                         #
#                                                                             #
# this program is distributed in the hope that it will be useful,             #
# but WITHOUT ANY WARRANTY; without even the implied warranty of              #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                #
# GNU General Public License for more details.                                #
#                                                                             #
# You should have received a copy of the GNU General Public License           #
# along with this program. If not, see <http://www.gnu.org/licenses/>.        #
#                                                                             #
#-----------------------------------------------------------------------------#

# -*- coding: utf-8 -*-
# Doc: https://docs.gitlab.com/ce/ci/yaml/#include

include:
  - project: 'froggit/ci/gci-tpl'
    ref: 0.0.1
    file:
      - '/templates/stages.yml'
      - '/templates/job/ansible/lint.yml'

# No playbook in this repo
ansible-syntax-check:
  rules:
    - when: never

# For Ansible Galaxy Scoring
# https://galaxy.ansible.com/docs/contributing/content_scoring.html
yaml-lint:
  image:
    name: cytopia/yamllint:1.26
    entrypoint: ["/bin/bash", "-c"]
  stage: lint
  before_script:
    - yamllint --version
  script:
    - ls **/*.yml
    - yamllint -c .yamllint.yml -f colored .
  rules:
    - if: '$CI_PIPELINE_SOURCE == "push"'
      changes:
        - "**/*.yml"

galaxy-lint:
  extends: ansible-lint
  before_script:
    - ansible-lint --version
  script:
    - ansible-lint  **/*.yml
  rules:
    - if: '$CI_PIPELINE_SOURCE == "push"'
      changes:
        - "**/*.yml"
